/* HTTP API 二手业务模块
 * Copyright 2020, CAIMEI365
 * Date   2020/07/16
 * auther xw
 */
var SecondApi = {
        SecondHandProduct: function (params, callback) {//发布信息
            Http.AjaxService({ url:'/product/releaseSecondHandProduct', type:'post', data:params, json:false, mask:true,replace:false})
            .then(function(res){
                callback(res);
            });
        },
         uploadimg: function (params, callback) {//上传图片
            Http.uploadImage({ url:'/formData/MultiPictareaddData',data:params},callback)
        },
        SeconHandProductList: function (params, callback) {//商品列表
            Http.AjaxService({ url:'/product/getSecondHandProductList', type:'get', data:params, json:true, mask:true,replace:false})
            .then(function(res){
                callback(res);
            });
        },
         brandList: function (params, callback) {//品牌列表
            Http.AjaxService({ url:'/product/brandList', type:'get', data:params, json:true, mask:true,replace:false})
            .then(function(res){
                callback(res);
            });
        },
        ProductCount: function (params, callback) {//浏览量
            Http.AjaxService({ url:'/product/updateSecondHandProductCount', type:'get', data:params, json:true, mask:true,replace:false})
            .then(function(res){
                callback(res);
            });
        },
        ProductDetail: function (params, callback) {//商品详情
            Http.AjaxService({ url:'/product/getSecondHandProductDetail', type:'get', data:params, json:true, mask:true,replace:false})
            .then(function(res){
                callback(res);
            });
        },
         ProductRecommend: function (params, callback) {//商品详情/相关推荐
            Http.AjaxService({ url:'/product/getSecondHandProductRecommend', type:'get', data:params, json:true, mask:true,replace:false})
            .then(function(res){
                callback(res);
            });
        },

};
